%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-tempest
Version:        11.3.0
Release:        2%{?dist}
Summary:        Puppet module for OpenStack Tempest
License:        ASL 2.0

URL:            https://launchpad.net/puppet-tempest

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=11.3.0
Patch0001: 0001-Add-barbican-service_available-config.patch
Patch0002: 0002-Update-Gemfile-to-pull-spec_helper-from-stable-pike.patch
Patch0003: 0003-Add-release-note-for-support-barbican.patch
Patch0004: 0004-pike-Add-Puppet-package-to-bindep-for-module-build.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-stdlib
Requires:       puppet-vcsrepo
Requires:       puppet-openstacklib
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Tempest

%prep
%setup -q -n openstack-tempest-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tempest/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tempest/



%files
%{_datadir}/openstack-puppet/modules/tempest/


%changelog
* Tue Nov 21 2017 Jon Schlueter <jschluet@redhat.com> 11.3.0-2
- [pike] Add Puppet package to bindep, for module build
- Add release note for support barbican
- Update Gemfile to pull spec_helper from stable/pike
- Add barbican service_available config

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 11.3.0-1
- Update to 11.3.0



